/**
 * DK Maternity Facade API
 *
 * This is the specification of the DK Maternity Facade API. It is a facade for the Web Services Resource Transfer DK Maternity API.
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * Please note:
 * This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * Do not edit this file manually.
 */

@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport"
)

package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 * A grouping of observation values that relate to the fetus recorded in the same activity
 *
 * @param id The ID of the CDA document that these observations originate from
 * @param activityId the ID of the careplan activity that these observations are pointing to (using a cross reference)
 * @param date The time the measurements were observed
 * @param createdDate The time the measurements were created
 * @param measuredBy
 * @param gestationAge Always following the week+day notation
 * @param weeksIntoPregnancy Calculated from gestationAge e.g. (22+1) = 22.14. Will return null if gestationAge is null;
 * @param ulWeight
 * @param weightDeviation
 * @param fetusPresentation
 */
@Parcelize

data class ScanningObservationTableRows(

    /* The ID of the CDA document that these observations originate from */
    @Json(name = "id")
    val id: kotlin.String? = null,

    /* the ID of the careplan activity that these observations are pointing to (using a cross reference) */
    @Json(name = "activityId")
    val activityId: kotlin.String? = null,

    /* The time the measurements were observed */
    @Json(name = "date")
    val date: java.time.LocalDateTime? = null,

    /* The time the measurements were created */
    @Json(name = "createdDate")
    val createdDate: java.time.LocalDateTime? = null,

    @Json(name = "measuredBy")
    val measuredBy: HealthCarePerformer? = null,

    /* Always following the week+day notation */
    @Json(name = "gestationAge")
    val gestationAge: kotlin.String? = null,

    /* Calculated from gestationAge e.g. (22+1) = 22.14. Will return null if gestationAge is null; */
    @Json(name = "weeksIntoPregnancy")
    val weeksIntoPregnancy: kotlin.Double? = null,

    @Json(name = "ulWeight")
    val ulWeight: NumericValueWithUnit? = null,

    @Json(name = "weightDeviation")
    val weightDeviation: RangeValueWithUnit? = null,

    @Json(name = "fetusPresentation")
    val fetusPresentation: kotlin.String? = null

) : Parcelable
